“Cannot install project facet” error while creating a project?

I got the project from repository and as per the set-up instructions I tried to create a project in eclipse and pointed the location to where I downloaded the code from repository. Then when I click on finish I got the error stating

"One or more constraints have not been satisfied. Cannot install project facet Java 1.6. Some version of this project facet is already installed. Cannot install project facet Dynamic Web Module 3.0. Some version of this project facet is already installed."

How to solve this one?

Answers


I resolved this one. The solution is I have to goto to the ".settings" folder which is at the project location and deleted "org.eclipse.wst.common.project.facet.core.xml" file and restarted the process again. This time it worked. Thanks for your help.


There is no need of deleting the file and recreating again. Instead navigate org.eclipse.wst.common.project.facet.core.xml file in ur project on eclipse and change its installed facet tag with wat ever version desired.


Need Your Help

Java and setting a variable equal to an array

java arrays input

How do you set a variable equal to an array in Java. For example I have a class for input and a class for calculations which hold arrays. when I accept the user input from the input class how do ...

About UNIX Resources Network

Original, collect and organize Developers related documents, information and materials, contains jQuery, Html, CSS, MySQL, .NET, ASP.NET, SQL, objective-c, iPhone, Ruby on Rails, C, SQL Server, Ruby, Arrays, Regex, ASP.NET MVC, WPF, XML, Ajax, DataBase, and so on.